Skip to main content
GET
/
transactions
/
{transaction_id}
Get One Transaction
curl --request GET \
  --url https://api.swoogo.com/api/v1/transactions/{transaction_id} \
  --header 'Authorization: Bearer <token>'
{
  "amount": "-166.00",
  "card_number_last_4": 1111,
  "card_type": "amex",
  "created_at": "2016-09-26 12:54:22",
  "created_by": 1,
  "datetime": "2016-09-26 12:54:17",
  "gateway_id": 2,
  "id": 2,
  "name_on_card": "Certification Test",
  "notes": "note",
  "registrant_id": 1,
  "paymentGateway": {
    "name": "Paymentech Bin 2"
  },
  "registrant": {
    "group_id": 1,
    "id": 1,
    "po_number": "1234"
  },
  "status": "confirmed",
  "type": "credit_card_payment",
  "updated_at": "2016-09-26 12:54:22",
  "updated_by": 1
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Path Parameters

transaction_id
integer
required

integer - required - The ID of the track you want to get

Example:

1

Query Parameters

fields
string

string - optional - Comma separated list of fields you want to return

Example:

"id,registrant_id,type,datetime,status,amount,created_at,created_by,updated_at,updated_by,card_type,card_number_last_4,name_on_card,notes,gateway_id"

expand
string

string - optional - Comma separated list of objects you want to return

Example:

""

Response

Get Transaction

amount
string
Example:

"-166.00"

card_number_last_4
number
Example:

1111

card_type
string
Example:

"amex"

created_at
string
Example:

"2016-09-26 12:54:22"

created_by
number
Example:

1

datetime
string
Example:

"2016-09-26 12:54:17"

gateway_id
number
Example:

2

id
number
Example:

2

name_on_card
string
Example:

"Certification Test"

notes
string
Example:

"note"

registrant_id
number
Example:

1

paymentGateway
object
registrant
object
status
string
Example:

"confirmed"

type
string
Example:

"credit_card_payment"

updated_at
string
Example:

"2016-09-26 12:54:22"

updated_by
number
Example:

1